Skip to main content
PATCH
Update memory for an Agent

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

agentId
string
required
agentMemoryId
string
required

Body

application/json
ownerType
enum<string>

Updated memory owner.

Available options:
USER,
AGENT,
WORKSPACE,
INSTANCE,
SHARED
Example:

"INSTANCE"

ownerId
string<uuid>

Updated owner id. Used for USER, AGENT, and WORKSPACE memory; null for INSTANCE and SHARED.

Example:

"11111111-1111-4111-8111-111111111111"

kind
enum<string>

Updated durable memory kind.

Available options:
preference,
fact,
episode
Example:

"preference"

name
string

Updated short stable memory name for labels and ref tokens.

Required string length: 1 - 64
Example:

"Incident RCA style"

summary
string

Updated canonical memory body.

Minimum string length: 1
Example:

"Use concise incident RCAs for this workspace."

refTokens
string[]

Replacement explicit exact source or resource tokens. The API also extracts REFTYPE/id [blocked] tokens from the current summary.

Example:
tags
string[]

Replacement topical tags.

Example:
version
number

Optimistic locking version.

Required range: x >= 0
Example:

6

Response

200 - undefined
Last modified on September 5, 2026